Package org.apache.tools.ant.types

# Class Assertions.EnabledAssertion

java.lang.Object
org.apache.tools.ant.types.Assertions.BaseAssertion
org.apache.tools.ant.types.Assertions.EnabledAssertion

Enclosing class:
  `Assertions`

public static class Assertions.EnabledAssertion extends Assertions.BaseAssertion
an enabled assertion enables things

## Constructor Summary

Constructors
Constructor
Description
`EnabledAssertion()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommandPrefix()`
get the prefix used to begin the command; -ea or -da.

### Methods inherited from class org.apache.tools.ant.types.Assertions.BaseAssertion

`getClassName, getPackageName, setClass, setPackage, toCommand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnabledAssertion

public EnabledAssertion()

## Method Details

### getCommandPrefix

public String getCommandPrefix()
get the prefix used to begin the command; -ea or -da.

Specified by:
  `getCommandPrefix` in class `Assertions.BaseAssertion`
Returns:
  prefix